Bug 1729732 - [abrt] _cond_resched: WARNING: CPU: 1 PID: 72 at drivers/gpu/drm/nouveau/include/nvkm/subdev/i2c.h:172 nouveau_dp_detect+0x9a/0x220 [nouveau]
Summary: [abrt] _cond_resched: WARNING: CPU: 1 PID: 72 at drivers/gpu/drm/nouveau/incl...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ee1587c74c90f305d69c6535cd2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-14 03:37 UTC by bwbees0
Modified: 2020-05-26 17:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 17:07:33 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (95.02 KB, text/plain)
2019-07-14 03:38 UTC, bwbees0
no flags Details

Description bwbees0 2019-07-14 03:37:57 UTC
Description of problem:
I have no idea -- other than the message showed up in my notices. 

Additional info:
reporter:       libreport-2.10.1
WARNING: CPU: 1 PID: 72 at drivers/gpu/drm/nouveau/include/nvkm/subdev/i2c.h:172 nouveau_dp_detect+0x9a/0x220 [nouveau]
Modules linked in: uinput thunderbolt fuse rfcomm ccm xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables cmac bnep sunrpc vfat fat usblp arc4 iTCO_wdt iTCO_vendor_support mei_wdt mei_hdcp snd_hda_codec_hdmi intel_rapl x86_pkg_temp_thermal intel_powerclamp iwlmvm coretemp kvm_intel snd_hda_codec_realtek mac80211 snd_hda_codec_generic kvm snd_hda_intel snd_hda_codec snd_hda_core irqbypass iwlwifi intel_cstate snd_hwdep intel_uncore snd_seq btusb snd_seq_device intel_rapl_perf btrtl snd_pcm btbcm btintel cfg80211 bluetooth uvcvideo intel_wmi_thunderbolt wmi_bmof videobuf2_vmalloc
 videobuf2_memops videobuf2_v4l2 videobuf2_common i2c_i801 rtsx_pci_ms videodev snd_timer memstick mei_me joydev idma64 media mei intel_lpss_pci intel_pch_thermal ecdh_generic thinkpad_acpi intel_lpss ledtrig_audio ie31200_edac snd soundcore acpi_pad rfkill pcc_cpufreq dm_crypt i915 nouveau rtsx_pci_sdmmc mxm_wmi crct10dif_pclmul ttm mmc_core crc32_pclmul i2c_algo_bit crc32c_intel drm_kms_helper nvme e1000e drm ghash_clmulni_intel nvme_core serio_raw rtsx_pci wmi i2c_hid pinctrl_sunrisepoint video pinctrl_intel
CPU: 1 PID: 72 Comm: kworker/1:1 Not tainted 5.1.16-300.fc30.x86_64 #1
Hardware name: LENOVO 20HHCTO1WW/20HHCTO1WW, BIOS N1UET74W (1.48 ) 04/20/2019
Workqueue: events nouveau_display_hpd_work [nouveau]
RIP: 0010:nouveau_dp_detect+0x9a/0x220 [nouveau]
Code: 8d 4c 24 0c 4c 8d 44 24 10 4c 89 ef ba 09 00 00 00 be 01 00 00 00 e8 f5 73 f8 ff 85 c0 0f 85 49 01 00 00 80 7c 24 0c 08 74 02 <0f> 0b 4c 89 ef e8 fc 71 f8 ff 44 0f b6 44 24 11 0f b6 4c 24 12 8b
RSP: 0018:ffffb97281e4fcc0 EFLAGS: 00010293
RAX: 0000000000000000 RBX: ffff9ee0e5a08c00 RCX: ffffb97281e4fccc
RDX: ffffb97281e4fc70 RSI: ffffb9728400d9f4 RDI: ffffb9728400d9f4
RBP: ffff9ee0e2e18800 R08: 0000000000000000 R09: 0000000000000001
R10: 0000000000000000 R11: ffff9ee0e2e18a00 R12: ffff9ee0ed2dc000
R13: ffff9ee0e2e1d000 R14: ffff9ee0e2e18800 R15: ffff9ee0e5a08c18
FS:  0000000000000000(0000) GS:ffff9ee0ef640000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f52c75a8020 CR3: 000000046af9c006 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 ? _cond_resched+0x15/0x30
 nouveau_connector_detect+0xf3/0x450 [nouveau]
 ? __switch_to_asm+0x41/0x70
 ? _cond_resched+0x15/0x30
 ? ww_mutex_lock+0x13/0x70
 ? drm_modeset_lock+0x7b/0x100 [drm]
 drm_helper_probe_detect_ctx+0x8b/0xe0 [drm_kms_helper]
 drm_helper_hpd_irq_event+0xa7/0x120 [drm_kms_helper]
 nouveau_display_hpd_work+0x2b/0x60 [nouveau]
 process_one_work+0x19d/0x380
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x380/0x380
 ? kthread_park+0x90/0x90
 ret_from_fork+0x35/0x40

Potential duplicate: bug 1591635

Comment 1 bwbees0 2019-07-14 03:38:01 UTC
Created attachment 1590421 [details]
File: dmesg

Comment 2 Ben Cotton 2020-04-30 21:07:31 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-05-26 17:07:33 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.